> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# This action will copy the connector settings to a new connector based on the newly specified Id.

> This action will copy the connector settings to a new connector based on the newly specified Id.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /copyConnector
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /copyConnector:
    post:
      tags:
        - copyConnector
      summary: >-
        This action will copy the connector settings to a new connector based on
        the newly specified Id.
      description: >-
        This action will copy the connector settings to a new connector based on
        the newly specified Id.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/copyConnector_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/copyConnector_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    copyConnector_input:
      type: object
      required:
        - WorkspaceId
        - ConnectorId
        - NewConnectorId
      properties:
        WorkspaceId:
          description: The Id of the workspace.
          type: string
        ConnectorId:
          type: string
          description: The Id of the connector to copy.
        NewWorkspaceId:
          type: string
          description: >-
            The Id of the new workspace.  If unspecified, the workspace of the
            original connector will be used.
        NewConnectorId:
          type: string
          description: The Id of the new connector.
    copyConnector_output:
      type: array
      items:
        type: object
        properties:
          AllowedPrivileges:
            type: string
            description: The connector privileges.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````